import pandas as pd

# import libraries
import seaborn as sns
import matplotlib.pyplot as plt
import matplotlib.patches as mpatches


def create_figure(sorted_df):
	sns.set(style='darkgrid')
	plt.figure(figsize=(14, 14))

	nb_results = 10
	top_nb_results = sorted_df.iloc[:nb_results,:]

	color_palette = sns.color_palette("Paired")
	print(f"{color_palette = }")
	print(f"{color_palette[0] = }")

	nice_red = color_palette[4]
	nice_green = color_palette[2]
	bar1= sns.barplot(x='champs', y= 'pick_total_nb', data=top_nb_results, color= nice_red)
	bar2= sns.barplot(x='champs', y= 'pick_win_nb', data=top_nb_results, color= nice_green)
	bar1.set(title = f"Pick Rate")

	bar1.set_xticklabels(bar1.get_xticklabels(),rotation = 30)

	top_bar = mpatches.Patch(color=nice_red, label='Loose')
	bottom_bar = mpatches.Patch(color=nice_green, label='Win')
	plt.legend(handles=[top_bar, bottom_bar])
	bar2.set_xlabel("Champion")
	bar2.set_ylabel("Occurences")
	figure = bar2.get_figure()
	return figure


def save_figure(path_csv_in, path_png_out):
	df = pd.read_csv(path_csv_in)

	
	sorted_df = df.sort_values(by=['pick_total_nb'], ascending= False).copy()
	figure = create_figure(sorted_df)

	figure.savefig(path_png_out)
	